--- title: "Get customer by customerId" slug: "get-customer-by-customerid" updated: 2026-01-09T07:50:19Z published: 2026-01-09T07:50:35Z canonical: "products.egfabri.cloud/get-customer-by-customerid" --- > ## Documentation Index > Fetch the complete documentation index at: https://products.egfabri.cloud/llms.txt > Use this file to discover all available pages before exploring further. # Get customer by customerId Get/Customerdataservice/api/customers/{id} Fetch customer data. Path parametersidobjectRequired Customer ID Responses200 Searched customer Expand Allobject organizationNumberstring Unique organization number for the customer. Must be numeric and up to 9 digits. Min length1Max length9Pattern^[0-9]*$Example123456789 namestring Full name of the customer. Max 30 characters. Min length1Max length30ExampleAcme Corporation phonestring Primary phone number. Max 11 characters. Min length0Max length11Pattern^\+?[0-9]+$Example12345678901 mobilestring Mobile phone number. Max 11 characters. Min length0Max length11Pattern^\+?[0-9]+$Example10987654321 faxstring Fax number. Max 11 characters. Min length0Max length11Pattern^\+?[0-9]+$Example11223344556 websiteUrlstring Website URL of the customer. Min length0Max length100Pattern^https?://.*$Examplehttps://acme.com emailstring Email address of the customer. Max 50 characters. Min length0Max length50Pattern^[^@]+@[^@]+\.[^@]+$Examplejohn.doe@acme.com eanLocationNumberstring EAN location number for electronic invoicing. Example1234567890123 bankAccountNumberstring Bank account number. Numeric, max 11 digits. Min length0Max length11Pattern^[0-9]*$Example98765432101 customerCategoryobject (Customerdataservice_NamedReference) Reference object with id and name. idstring External unique identifier. Min length1Max length2147483647ExampleID01 namestring Display name. Min length1Max length2147483647ExampleName classificationGroupobject (Customerdataservice_NamedReference) Reference object with id and name. idstring External unique identifier. Min length1Max length2147483647ExampleID01 namestring Display name. Min length1Max length2147483647ExampleName discountCategoryobject (Customerdataservice_NamedReference) Reference object with id and name. idstring External unique identifier. Min length1Max length2147483647ExampleID01 namestring Display name. Min length1Max length2147483647ExampleName paymentTermobject (Customerdataservice_NamedReference) Reference object with id and name. idstring External unique identifier. Min length1Max length2147483647ExampleID01 namestring Display name. Min length1Max length2147483647ExampleName deliveryTypeobject (Customerdataservice_NamedReference) Reference object with id and name. idstring External unique identifier. Min length1Max length2147483647ExampleID01 namestring Display name. Min length1Max length2147483647ExampleName deliveryMethodobject (Customerdataservice_NamedReference) Reference object with id and name. idstring External unique identifier. Min length1Max length2147483647ExampleID01 namestring Display name. Min length1Max length2147483647ExampleName addressobject (Customerdataservice_Address) Address details. namestring Name of the address location. Min length1Max length2147483647ExampleMain Office drivingDescriptionstring Driving directions or description. ExampleNext to the central station address1string Address line 1. Min length0Max length30Example123 Main St address2string Address line 2. Min length0Max length30ExampleSuite 100 postalCodestring Postal code. Min length0Max length10Example1234 citystring City name. Min length0Max length30ExampleMetropolis countrystring Country name. ExampleNorway invoiceAddressobject (Customerdataservice_Address) Address details. namestring Name of the address location. Min length1Max length2147483647ExampleMain Office drivingDescriptionstring Driving directions or description. ExampleNext to the central station address1string Address line 1. Min length0Max length30Example123 Main St address2string Address line 2. Min length0Max length30ExampleSuite 100 postalCodestring Postal code. Min length0Max length10Example1234 citystring City name. Min length0Max length30ExampleMetropolis countrystring Country name. ExampleNorway deliveryAddressobject (Customerdataservice_Address) Address details. namestring Name of the address location. Min length1Max length2147483647ExampleMain Office drivingDescriptionstring Driving directions or description. ExampleNext to the central station address1string Address line 1. Min length0Max length30Example123 Main St address2string Address line 2. Min length0Max length30ExampleSuite 100 postalCodestring Postal code. Min length0Max length10Example1234 citystring City name. Min length0Max length30ExampleMetropolis countrystring Country name. ExampleNorway salespersonobject (Customerdataservice_Salesperson) Salesperson details. Example[{code=SP02, name=Bob Brown}]codestring Salesperson code. Min length1Max length2147483647ExampleSP01 namestring Salesperson name. Min length1Max length2147483647ExampleJane Smith alternativeSalespersons Array of object (Customerdataservice_Salesperson) List of alternative salespersons. Min items0Max items10Example[{code=SP02, name=Bob Brown}]object Salesperson details. Example[{code=SP02, name=Bob Brown}]codestring Salesperson code. Min length1Max length2147483647ExampleSP01 namestring Salesperson name. Min length1Max length2147483647ExampleJane Smith customerCards Array of object (Customerdataservice_CustomerCard) List of customer cards. Min items0Max items10Example[{cardType={id=CARDTYPE01, name=Loyalty}, cardNumber=1234567890, barcode=BAR123456, cardHolder=John Doe, blocked=false}]object Customer card details. Example[{cardType={id=CARDTYPE01, name=Loyalty}, cardNumber=1234567890, barcode=BAR123456, cardHolder=John Doe, blocked=false}]cardTypeobject (Customerdataservice_NamedReference) Reference object with id and name. idstring External unique identifier. Min length1Max length2147483647ExampleID01 namestring Display name. Min length1Max length2147483647ExampleName cardNumberstring Card number. Min length1Max length2147483647Example1234567890 barcodestring Barcode for the card. Min length1Max length2147483647ExampleBAR123456 cardHolderstring Name of the card holder. Min length1Max length2147483647ExampleJohn Doe blockedboolean Indicates if the card is blocked. Examplefalse externalIds Array of object (Customerdataservice_ExternalId) List of external identifiers. Min items0Max items30object External identifier from an external system. systemstring The external system name (e.g., NX). Min length1Max length20ExampleNX idstring The identifier in the external system. Min length1Max length100ExampleXYZ123 customerIdstring Pattern^[A-Za-z0-9]+[A-Za-z0-9_\-:.]*$Example123 401 HTTP Unauthorized object timestampstring (date-time) statusinteger (int32) errorstring pathstring 404 HTTP Not Found Expand Allobject Object representing error details in responses titlestring A short, human-readable title for the error. Min length0Max length200ExampleValidation Error statusinteger (int32) The HTTP status code generated by the origin server for this occurrence of the problem. Example400 detailstring A human-readable explanation specific to this occurrence of the problem. Min length0Max length250ExampleOne or more fields are invalid. instancestring A URI reference that identifies the specific occurrence of the problem. Min length0Max length250Example/api/containers/123 errors Array of object (Customerdataservice_ValidationErrorDTO) Min items0Max items100object fieldNamestring Min length0Max length100 messagestring Min length0Max length200 rejectedValuestring Min length0Max length200 500 HTTP Internal Server Error Expand Allobject Object representing error details in responses titlestring A short, human-readable title for the error. Min length0Max length200ExampleValidation Error statusinteger (int32) The HTTP status code generated by the origin server for this occurrence of the problem. Example400 detailstring A human-readable explanation specific to this occurrence of the problem. Min length0Max length250ExampleOne or more fields are invalid. instancestring A URI reference that identifies the specific occurrence of the problem. Min length0Max length250Example/api/containers/123 errors Array of object (Customerdataservice_ValidationErrorDTO) Min items0Max items100object fieldNamestring Min length0Max length100 messagestring Min length0Max length200 rejectedValuestring Min length0Max length200